cpw.mods.fml.common

## Enum LoaderState.ModState

- java.lang.Object
- - java.lang.Enum<LoaderState.ModState>
  - - cpw.mods.fml.common.LoaderState.ModState

- All Implemented Interfaces:
    Serializable, Comparable<LoaderState.ModState>
  Enclosing class:
    LoaderState

      public static enum LoaderState.ModState
      extends Enum<LoaderState.ModState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVAILABLE`
    `CONSTRUCTED`
    `DISABLED`
    `ERRORED`
    `INITIALIZED`
    `LOADED`
    `POSTINITIALIZED`
    `PREINITIALIZED`
    `UNLOADED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static LoaderState.ModState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoaderState.ModState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNLOADED

          public static final LoaderState.ModState UNLOADED

    - #### LOADED

          public static final LoaderState.ModState LOADED

    - #### CONSTRUCTED

          public static final LoaderState.ModState CONSTRUCTED

    - #### PREINITIALIZED

          public static final LoaderState.ModState PREINITIALIZED

    - #### INITIALIZED

          public static final LoaderState.ModState INITIALIZED

    - #### POSTINITIALIZED

          public static final LoaderState.ModState POSTINITIALIZED

    - #### AVAILABLE

          public static final LoaderState.ModState AVAILABLE

    - #### DISABLED

          public static final LoaderState.ModState DISABLED

    - #### ERRORED

          public static final LoaderState.ModState ERRORED

  - ### Method Detail

    - #### values

          public static LoaderState.ModState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoaderState.ModState c : LoaderState.ModState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoaderState.ModState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LoaderState.ModState>`